### Method

# Gom ResourceGroup fetch_sync

#### Declaration [src]

    gboolean
    gom_resource_group_fetch_sync (
      GomResourceGroup* group,
      guint index_,
      guint count,
      GError** error
    )

#### Description [src]

Fetches a sequence of resources from the group synchronously. This must be called from an adapter read callback using gom_adapter_queue_read().

#### Parameters

`index_`

  Type: `guint`

  The first index to fetch.

`count`

  Type: `guint`

  The number of indexes to fetch.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; otherwise `FALSE` and `error` is set.